#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>

using namespace std;

typedef struct
{
    double p;
    unsigned long long int z;
}uzgajac;
bool cmp(uzgajac a, uzgajac b)
{
    return a.z > b.z;
}
double zarada(const vector<uzgajac> &v, double p)
{
    unsigned long long int N = v.size();
    double z = 0;
    for(unsigned long long int i = 0; i < N; i++)
    {
        if(v[i].p >= p)
            z+= (double)(v[i].z) * p / 100;
    }
    return z;
}
int main()
{
    vector<uzgajac> v;
    uzgajac a;
    double z, maxz;
    unsigned long long int N;

    cin >> N;
    for(unsigned long long int i = 0; i < N; i++)
    {
        cin >> a.z >> a.p;
        v.push_back(a);
    }
    sort(v.begin(), v.end(), cmp);
    maxz = zarada(v, v[0].p);
    for(unsigned long long int i = 1; i < N; i++)
    {
        z = zarada(v, v[i].p);
        if(z > maxz)
        {
            maxz = z;
        }
    }
    printf("%f", maxz);

    return 0;
}